#!/bin/bash

echo "🚀 安装和测试 oceanengine-mcp-server"

# 安装构建工具
echo "📦 安装构建依赖..."
pip3 install build twine

# 安装运行时依赖
echo "📦 安装运行时依赖..."
pip3 install requests mcp

# 构建包
echo "🔨 构建包..."
python3 -m build

# 检查构建结果
if [ -d "dist" ]; then
    echo "✅ 包构建成功！"
    echo "📁 构建文件："
    ls -la dist/
    
    echo ""
    echo "🎉 准备发布到 PyPI："
    echo "1. 测试发布: twine upload --repository testpypi dist/*"
    echo "2. 正式发布: twine upload dist/*"
    echo ""
    echo "📝 MCP 配置示例："
    echo '{'
    echo '  "mcpServers": {'
    echo '    "oceanengine": {'
    echo '      "command": "uvx",'
    echo '      "args": ["oceanengine-mcp-server"]'
    echo '    }'
    echo '  }'
    echo '}'
else
    echo "❌ 包构建失败"
    exit 1
fi